/////////////////////////////////////////////////////////////////////////////
// Name:        DVDPropDlg.cpp
// Purpose:     DVD properties dialog
// Author:      Alex Thuering
// Created:     7.03.2005
// RCS-ID:      $Id: DVDPropDlg.cpp,v 1.5 2006/02/27 19:04:29 ntalex Exp $
// Copyright:   (c) Alex Thuering
// Licence:     GPL
/////////////////////////////////////////////////////////////////////////////
 
#include "DVDPropDlg.h"
#include "Config.h"

DVDPropDlg::DVDPropDlg(wxWindow *parent, DVD* dvd):
 wxPropDlg(parent), m_dvd(dvd)
{
  Create(true);
  SetSize(400,-1);
}

void DVDPropDlg::CreatePropPanel(wxSizer* sizer)
{
  wxFlexGridSizer* grid = sizer ? new wxFlexGridSizer(2, 1, 16) : NULL;
  if (grid)
  {
    grid->AddGrowableCol(1);
    sizer->Add(grid, 0, wxEXPAND|wxALL, 6);
  }
  AddTextProp(grid, _("Volume name:"),
    grid ? m_dvd->GetName() : s_config.GetDefVolumeName());
  AddCheckProp(sizer, _("Create jumppads"),
	sizer ? m_dvd->IsJumppadsEnabled() : true);
  AddCheckProp(sizer, _("Create empty menu/vmMenu if it doesn't exist"),
	sizer ? m_dvd->IsEmptyMenuEnabled() : true);
}

bool DVDPropDlg::SetValues()
{
  int n = 0;
  m_dvd->SetName(GetString(n++));
  m_dvd->EnableJumppads(GetBool(n++));
  m_dvd->EnableEmptyMenu(GetBool(n++));
  return true;
}

